#include "LockerJumpScareManagerComponent.h"
#include "Net/UnrealNetwork.h"
#include "AkComponent.h"

class ALocker;

void ULockerJumpScareManagerComponent::OnRep_LockerJumpScareInteraction()
{

}

void ULockerJumpScareManagerComponent::OnRep_JumpScareLocker(ALocker* lastLocker)
{

}

void ULockerJumpScareManagerComponent::DBD_ShowLockerJumpScare(bool enable)
{

}

void ULockerJumpScareManagerComponent::Authority_OnLockerJumpScareInteractionDone()
{

}

void ULockerJumpScareManagerComponent::Authority_OnLockerInteractorChanged(bool isLocked)
{

}

void ULockerJumpScareManagerComponent::Authority_OnLevelReadyToPlay()
{

}

void ULockerJumpScareManagerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ULockerJumpScareManagerComponent, _interaction);
	DOREPLIFETIME(ULockerJumpScareManagerComponent, _locker);
	DOREPLIFETIME(ULockerJumpScareManagerComponent, _shouldImplementLockerJumpScareInteraction);
}

ULockerJumpScareManagerComponent::ULockerJumpScareManagerComponent()
{
	this->_lockerJumpScareInteraction = NULL;
	this->_globalJumpScareChanceIncrease = 0.050000;
	this->_globalJumpScareChanceInitialValue = 0.200000;
	this->_akLockerJumpScareComponent = CreateDefaultSubobject<UAkComponent>(TEXT("Ak_Audio_LockerJumpScare"));
	this->_shouldImplementLockerJumpScareInteraction = false;
}
